Skip to main content

Get all properties

GEThttps://api.propexo.com/v1/properties/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external property id

x_property_id string

Deprecated: Use x_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the property.

is_active object

Active status of the property in the PMS. Please note this is a separate value to the property's status in Propexo which can be fetched using the 'Get all my property configurations' endpoint.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderByobject[]required

    The order of the results

    hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the property

    Example: clwktsp9v000008l31iv218hn
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atnullrequired

    The date the record first entered the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Account/Account/GetProperties
    Example: ba6373a9-6e1d-441b-8ed7-9d40f7d166b0
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Account/Account/GetProperties
    Example: ba6373a9-6e1d-441b-8ed7-9d40f7d166b0
    x_building_idnullrequired

    The external ID of the building (not necessarily the property) from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    building_numbernullrequired

    The building number associated with the property

    Notice

    This field will always be null for RESMAN

    Example: null
    citystring | nullnullablerequired

    The city associated with the property

    InterfaceMethod
    Account/Account/GetProperties
    Example: Austin
    codenullrequired

    The code associated with the property

    Notice

    This field will always be null for RESMAN

    Example: null
    countrynullrequired

    The country associated with the property

    Notice

    This field will always be null for RESMAN

    Example: null
    countynullrequired

    The county associated with the property

    Notice

    This field will always be null for RESMAN

    Example: null
    custom_dataobject | nullnullablerequired
    is_activenullrequired

    Whether the property is active. This reflects whether the property is active in the PMS. To see if a property is enabled in Propexo, please use the 'Get all my property configurations' endpoint.

    Notice

    This field will always be null for RESMAN

    Example: null
    manager_emailstring | nullnullablerequired

    The email address of the property manager

    InterfaceMethod
    Account/Account/GetProperties
    manager_namestring | nullnullablerequired

    The name of the property manager

    InterfaceMethod
    Account/Account/GetProperties
    Example: Alex Rivera
    manager_phone_1string | nullnullablerequired

    The first phone number of the property manager

    InterfaceMethod
    Account/Account/GetProperties
    Example: 555-010-4400
    manager_phone_1_typenullrequired

    The type of the first phone number of the property manager

    Notice

    This field will always be null for RESMAN

    Example: null
    manager_phone_2nullrequired

    The second phone number of the property manager

    Notice

    This field will always be null for RESMAN

    Example: null
    manager_phone_2_typenullrequired

    The type of the second phone number of the property manager

    Notice

    This field will always be null for RESMAN

    Example: null
    namestring | nullnullablerequired

    The name of the property

    InterfaceMethod
    Account/Account/GetProperties
    Example: Oak Ridge Apartments
    notesnullrequired

    Notes associated with the property

    Notice

    This field will always be null for RESMAN

    Example: null
    number_of_unitsnullrequired

    The number of units in the property

    Notice

    This field will always be null for RESMAN

    Example: null
    square_footagenullrequireddeprecated

    Deprecated: Use square_feet

    Notice

    This field will always be null for RESMAN

    Example: null
    square_feetinteger | nullnullablerequired

    The square footage of the property

    Notice

    This field is not currently hydrated for RESMAN

    statestring | nullnullablerequired

    The state associated with the property

    InterfaceMethod
    Account/Account/GetProperties
    Example: TX
    street_address_1string | nullnullablerequireddeprecated

    Deprecated: Use address_1

    InterfaceMethod
    Account/Account/GetProperties
    street_address_2nullrequireddeprecated

    Deprecated: Use address_2

    Notice

    This field will always be null for RESMAN

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the property

    InterfaceMethod
    Account/Account/GetProperties
    Example: 400 Maple Street
    address_2nullrequired

    The second address line associated with the property

    Notice

    This field will always be null for RESMAN

    Example: null
    typenullrequireddeprecated

    Deprecated: Use type_raw.

    Notice

    This field will always be null for RESMAN

    Example: null
    type_rawnullrequired

    The raw PMS type of the property

    Notice

    This field will always be null for RESMAN

    Example: null
    type_normalizednullrequired

    The Propexo normalized property type

    Notice

    This field will always be null for RESMAN

    Example: null
    websitestring | nullnullablerequired

    The website URL associated with the property

    Important

    This field automatically hydrates when the listings model is enabled. If you need this field hydrated without enabling listings, contact Propexo support.

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: https://example.com/
    year_builtnullrequired

    The year the property was built

    Notice

    This field will always be null for RESMAN

    Example: null
    zipstring | nullnullablerequired

    The zip code associated with the property

    InterfaceMethod
    Account/Account/GetProperties
    Example: 78701
    long_descriptionstring | nullnullablerequired

    A long description of the property

    Important

    This field automatically hydrates when the listings model is enabled. If you need this field hydrated without enabling listings, contact Propexo support.

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: A water front luxury apartment building on the beautiful Mississippi River.
    short_descriptionstring | nullnullablerequired

    A short description of the property

    Important

    This field automatically hydrates when the listings model is enabled. If you need this field hydrated without enabling listings, contact Propexo support.

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: A short description of the property
    office_hours object[]required

    The office hours of the property

    day_of_weekstringrequired

    The day of the week associated with the office hours

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Show 7 enum values
    SUNDAYMONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAY
    Example: MONDAY
    open_timestringrequired

    The opening time for the office

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 08:00
    close_timestringrequired

    The closing time for the office

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 15:00
  • Array [
  • day_of_weekstringrequired

    The day of the week associated with the office hours

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Show 7 enum values
    FRIDAYMONDAYSATURDAYSUNDAYTHURSDAYTUESDAYWEDNESDAY
    Example: MONDAY
    open_timestringrequired

    The opening time for the office

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 08:00
    close_timestringrequired

    The closing time for the office

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 15:00
  • ]
  • pet_types object[]required

    The pet policies for the property

  • Array [
  • namestringrequired

    The name associated with the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: Reptile
    is_allowedboolean | nullnullablerequired

    Whether the pet type is allowed or not

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: true
    descriptionstring | nullnullablerequired

    Description of the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: Only one lizard.
    notesstring | nullnullablerequired

    Notes associated with the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: Dogs must weigh under 40 pounds.
    deposit_rawstring | nullnullablerequired

    The deposit amount associated with the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 30
    deposit_in_centsnumber | nullnullablerequired

    The deposit amount in cents associated with the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 300
    fee_rawstring | nullnullablerequired

    The raw fee amount for the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 30
    fee_in_centsnumber | nullnullablerequired

    The fee amount in cents for the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 3000
    fee_min_rawstring | nullnullablerequired

    The minimum raw fee amount for the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 30
    fee_min_in_centsnumber | nullnullablerequired

    The minimum fee amount in cents for the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 3000
    fee_max_rawstring | nullnullablerequired

    The maxmimum raw fee amount for the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 30
    fee_max_in_centsnumber | nullnullablerequired

    The maxmimum raw fee amount in cents for the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 3000
    rent_amount_rawstring | nullnullablerequired

    The raw rent amount for the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 30
    rent_amount_in_centsnumber | nullnullablerequired

    The rent amount in cents for the pet type

    InterfaceMethod
    Marketing/MITS/GetMarketing4_0
    Example: 3000
  • ]
  • associated_owner_idsstring[]required

    The property IDs associated with the owner

    Notice

    This field is not currently hydrated for RESMAN

    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: RESMAN
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/properties/
curl https://api.propexo.com/v1/properties/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"property_id": "clwi5xiix000008l6ctdgafyh",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": null,
"x_id": "ba6373a9-6e1d-441b-8ed7-9d40f7d166b0",
"x_property_id": "ba6373a9-6e1d-441b-8ed7-9d40f7d166b0",
"x_building_id": null,
"building_number": null,
"city": "Austin",
"code": null,
"country": null,
"county": null,
"custom_data": "Unknown Type: object,null",
"is_active": null,
"manager_email": "[email protected]",
"manager_name": "Alex Rivera",
"manager_phone_1": "555-010-4400",
"manager_phone_1_type": null,
"manager_phone_2": null,
"manager_phone_2_type": null,
"name": "Oak Ridge Apartments",
"notes": null,
"number_of_units": null,
"square_feet": 0,
"state": "TX",
"address_1": "400 Maple Street",
"address_2": null,
"type_raw": null,
"type_normalized": null,
"website": "https://example.com/",
"year_built": null,
"zip": "78701",
"long_description": "A water front luxury apartment building on the beautiful Mississippi River.",
"short_description": "A short description of the property",
"office_hours": {
"day_of_week": "MONDAY",
"open_time": "08:00",
"close_time": "15:00"
},
"pet_types": [
{
"name": "Reptile",
"is_allowed": true,
"description": "Only one lizard.",
"notes": "Dogs must weigh under 40 pounds.",
"deposit_raw": "30",
"deposit_in_cents": 300,
"fee_raw": "30",
"fee_in_cents": 3000,
"fee_min_raw": "30",
"fee_min_in_cents": 3000,
"fee_max_raw": "30",
"fee_max_in_cents": 3000,
"rent_amount_raw": "30",
"rent_amount_in_cents": 3000
}
],
"associated_owner_ids": [
"string"
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN"
}
]
}